[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: -Wl,--as-needed considered possibly harmful

* Josselin Mouette <joss@debian.org> [071209 18:48]:
> > due to the recent dpkg-shlibdeps changes, people have started adding
> > -Wl,--as-needed into their LDFLAGS.
> > 
> > If there are broken scripts adding too many libraries then it is time to
> > fix those scripts, not employ an evil hack that makes the symptoms go away.
> Some of these scripts cannot be ???fixed???. And for others, well, good luck
> in getting libtool???s upstream to integrate the required changes. Maybe
> they will be here in 5 years, and in 15 years all upstreams will have
> migrated to a recent enough version.

Just curing the symptoms instead of the problems will not help to get
there any sooner. There might be stuff where the stuff at hand is not
easily fixed, but that is no reason to not consider it not worth doing.
(or to consider using -Wl,--as-needed as anything short of giving in
to a broken build system and putting the dirt under the carpet, so
people do no longer get dirty feet walking around most of the time).

	Bernhard R. Link

Reply to: